import { GeneralService } from '../share/generalservice.js'

export class BudgetSetupService {
  constructor() {
    this.generalService = new GeneralService()
  }
  async getBudgetSetup(database) {
    const sql = `
      SELECT 
         bgdnam,
       bgdcod,
       bgdttl,
       bgdedtdtm
      FROM ${database}.bdgmst
      WHERE dtltblcod IN ('ACTTYP', 'ACTCAT_INC', 'ACTCAT_EXP');
      `
    const params = []
    const result = await this.generalService.executeQueryParam(database, sql, params);
    return result
  }
}


      // SELECT 
      //  acttyp,
      //  dtlname
      // FROM ${database}.actmst
      // LEFT JOIN ${database}.dtlmst ON dtltblcod = 'acttyp' and acttyp = dtlcod